Contents

# WaitUntil Statement

Interrupts the program execution until the time specified.

### Syntax:

WaitUntil Time

### Parameters:

Time: A Date and Time expression that contains the date and time to wait before the program is executed.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

            REM Wait until 6:00 PM then call MyMacro.
            REM If after 6:00 PM, exit.
            Sub ExampleWaitUntil
            Dim vTimeschedule As Double
                vTimeSchedule = Date() + TimeValue("18:00:00")
                If vTimeSchedule < Now() Then Exit Sub
                WaitUntil vTimeSchedule
                Call MyMacro
            End Sub

Matadureewwan Walfakkatan

Wait statement

Please support us!